RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Attribute System.AttributeUsage(System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.All, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

Specifies the details of how a method is implemented.

Compilers are required to not preserve this type in metadata as a custom attribute. Instead, compilers are required to emit it directly in the file format, as described in Partition II of the CLI Specification. Metadata consumers, such as the Reflection API, are required to retrieve this data from the file format and return it as if it were a custom attribute.

This class uses the enumeration to describe the implementation details of methods. For most languages, it is recommended that the notions of "forward" and "synchronized" be attached to methods using language syntax instead of custom attributes.

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Constructor

  A that is interpreted as a bit-field that represents the desired value, which specifies a property of the method attributed by the current instance.

  Constructs and initializes a new instance of the class with the specified value interpreted as a value.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A value that specifies a property of the method attributed by the current instance.

  Constructs and initializes a new instance of the class using the specified value.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Runtime.CompilerServices.MethodCodeType To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.CompilerServices.MethodImplOptions

  Gets the value describing the method attributed by the current instance.

  The value describing the method attributed by the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
0